Bug 164955 - [PATCH] net-mgmt/netdisco: update to 1.1, take maintainership
Summary: [PATCH] net-mgmt/netdisco: update to 1.1, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-10 12:10 UTC by geoffroy desvernay
Modified: 2012-02-17 17:30 UTC (History)
1 user (show)

See Also:


Attachments
netdisco-1.1.patch (90.25 KB, patch)
2012-02-10 12:10 UTC, geoffroy desvernay
no flags Details | Diff
netdisco-mibs_fix.patch (1.18 KB, patch)
2012-02-14 01:41 UTC, Michael Scheidell
no flags Details | Diff
netdisco.diff (95.12 KB, patch)
2012-02-16 12:28 UTC, geoffroy desvernay
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description geoffroy desvernay 2012-02-10 12:10:07 UTC
- Update to 1.1
- Take maintainership (already discussed with maintainer and scheidell@)

I didn't have the time to finish ports/161406 before timeout, but here it is.

Other changes:
- Make use of a new port (just submitted net-mgmt/netdisco-mibs) as an OPTION
 instead of including them (mibs are updated more often than netdisco)

- USE_APACHE 20+ instead of 13+

Port maintainer (venture37@geeklan.co.uk) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2012-02-10 12:10:33 UTC
Maintainer of net-mgmt/netdisco,

Please note that PR ports/164955 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/164955

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-02-10 12:10:36 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Michael Scheidell freebsd_committer 2012-02-13 20:25:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it. 
Waiting for new maintainers cleaned up rc script.
(see: WWW: http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/rc-scripts.html )
http://www.freebsd.org/cgi/query-pr.cgi?pr=164955 

Comment 4 Michael Scheidell freebsd_committer 2012-02-14 01:29:47 UTC
Class Changed
From-To: update->maintainer-update

Several issues: 
1) please start with the ports Makefile that is in cvs (update your ports tree).  Too many things out of order to be able to  
verify what was changed in run_depends. 
2) as mentioned earlier, please review new requirements for rc start script. 
3) your WITH_MIBS never executes, and so it won't try to bring in netdisco-mibs 
(you need to move the include to be above the .ifdefine) 
additionally, the 'THIS= `make -C ../some other port ` stuff most likely won't work. 
(can you do, from this ports dir: make -V MIBSDIR and get what you think you need?) 
you could do a MIBSDIR!= ${MAKE} -V ../netdisco-mibs DATADIR, etc, but better than that, apply the attached patch to  
netdisco-mibs, and work out the rest.  (please subscribe to ports@freebsd.org and ask questions there) 

Once you get it all to work, submit a new patch to pr and someone will pick it up if I don't.
Comment 5 Michael Scheidell 2012-02-14 01:41:47 UTC
apply this patch to netdisco-mibs, and .include "../netdisco-mibs/bsd.port.netdisco.mk" in place of the `make` or ~= make 
directives in netdisco.

ask in ports@freebsd.org for help.
make sure you run portlint -abt before submitting revised patch.

ask committer to apply both patches, if it is not me.
-- 
Michael Scheidell, CTO
SECNAP Network Security Corporation
(561) 999-5000 scheidell@secnap.net
http://www.secnap.com/

______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.spammertrap.com/
______________________________________________________________________  
  
Comment 6 geoffroy desvernay 2012-02-16 12:28:24 UTC
This time it should be more clean...

Thank you for taking time to look a my (bad) work, i'm still learning :)
-- 
*geoffroy desvernay*
C.R.I - Administration systèmes et réseaux
Comment 7 dfilter service freebsd_committer 2012-02-17 17:22:30 UTC
scheidell    2012-02-17 17:22:21 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt             Makefile 
    net-mgmt/netdisco    Makefile distinfo pkg-plist 
    net-mgmt/netdisco/files netdisco.in patch-netdisco.conf 
                            patch-netdisco.crontab pkg-message.in 
    net-mgmt/netdisco-mibs Makefile 
  Added files:
    net-mgmt/netdisco-mibs bsd.port.netdisco.mk 
  Log:
  - Missed ../Makefile update for new port newdisc-mibs
  - Updated netdisco to 1.1
  - Updated netdisco to use netdisco-mibs instead of INDEX killer !=
  - Pass maintainership to submitter (via private email)
  - Update to use Apache 20+ instead of 13+
  
  PR:             ports/164955
  Submitted by:   Geoffroy Desvernay <dgeo@centrale-marseille.fr> (maintainer)
  Approved by:    gabor (mentor, implicit)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.278     +1 -0      ports/net-mgmt/Makefile
  1.2       +1 -3      ports/net-mgmt/netdisco-mibs/Makefile
  1.1       +20 -0     ports/net-mgmt/netdisco-mibs/bsd.port.netdisco.mk (new)
  1.20      +58 -33    ports/net-mgmt/netdisco/Makefile
  1.4       +2 -2      ports/net-mgmt/netdisco/distinfo
  1.5       +16 -5     ports/net-mgmt/netdisco/files/netdisco.in
  1.4       +23 -62    ports/net-mgmt/netdisco/files/patch-netdisco.conf
  1.3       +17 -12    ports/net-mgmt/netdisco/files/patch-netdisco.crontab
  1.4       +12 -12    ports/net-mgmt/netdisco/files/pkg-message.in
  1.5       +9 -1676   ports/net-mgmt/netdisco/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Michael Scheidell freebsd_committer 2012-02-17 17:22:54 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!